Bug 891992 - Review Request: python-xmltodict - Makes working with XML feel like you are working with JSON
Summary: Review Request: python-xmltodict - Makes working with XML feel like you are w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-04 18:30 UTC by Ralph Bean
Modified: 2016-09-20 02:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 21:21:31 UTC
lmacken: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2013-01-04 18:30:09 UTC
Spec URL: http://ralph.fedorapeople.org//python-xmltodict.spec
SRPM URL: http://ralph.fedorapeople.org//python-xmltodict-0.4.1-1.fc18.src.rpm

Description:
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

    >>> doc = xmltodict.parse("""
    ... <mydocument has="an attribute">
    ...   <and>
    ...     <many>elements</many>
    ...     <many>more elements</many>
    ...   </and>
    ...   <plus a="complex">
    ...     element as well
    ...   </plus>
    ... </mydocument>
    ... """)
    >>>
    >>> doc['mydocument']['@has']
    u'an attribute'
    >>> doc['mydocument']['and']['many']
    [u'elements', u'more elements']
    >>> doc['mydocument']['plus']['@a']
    u'complex'
    >>> doc['mydocument']['plus']['#text']
    u'element as well'

Comment 1 Ralph Bean 2013-01-04 18:30:17 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4841161

Comment 2 Luke Macken 2013-01-04 18:43:51 UTC
I'm getting this error:

+ cp -a . '%{py3dir}'
cp: cannot copy a directory, '.', into itself, '%{py3dir}'
error: Bad exit status from /var/tmp/rpm-tmp.sgY5J6 (%prep)

Comment 3 Ralph Bean 2013-01-04 19:01:59 UTC
I'm getting that too with fedora-review.

The koji scratch build passed.  A local mock build run by hand passed.  The mock build kicked off by fedora-review is producing that error, though.  Strange.

Comment 4 Ralph Bean 2013-01-04 19:37:54 UTC
New upstream release includes REAMDE.md, LICENSE, and test suite.
https://github.com/martinblech/xmltodict/pull/11

SPEC: http://threebean.org/rpm/python-xmltodict.spec
SRPM: http://threebean.org/rpm/python-xmltodict-0.4.2-1.fc18.src.rpm

Comment 5 Luke Macken 2013-01-04 21:57:39 UTC
Looks good, APPROVED!

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/lmacken/FedoraReview/891992-python-
     xmltodict/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-xmltodict-0.4.2-1.fc18.noarch.rpm
          python3-xmltodict-0.4.2-1.fc18.noarch.rpm
python-xmltodict.noarch: W: spelling-error %description -l en_US mydocument -> my document, my-document, documented
python-xmltodict.noarch: W: spelling-error %description -l en_US u'an -> Xi'an
python-xmltodict.noarch: W: spelling-error %description -l en_US u'elements -> elements, entitlements
python-xmltodict.noarch: W: spelling-error %description -l en_US u'more -> Rushmore
python-xmltodict.noarch: W: spelling-error %description -l en_US u'complex -> complex
python-xmltodict.noarch: W: spelling-error %description -l en_US u'element -> element
python-xmltodict.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/xmltodict.py 0644L /usr/bin/env
python3-xmltodict.noarch: W: spelling-error %description -l en_US mydocument -> my document, my-document, documented
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'an -> Xi'an
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'elements -> elements, entitlements
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'more -> Rushmore
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'complex -> complex
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'element -> element
python3-xmltodict.noarch: E: non-executable-script /usr/lib/python3.3/site-packages/xmltodict.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 2 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-xmltodict python3-xmltodict
python-xmltodict.noarch: W: spelling-error %description -l en_US mydocument -> my document, my-document, documented
python-xmltodict.noarch: W: spelling-error %description -l en_US u'an -> Xi'an
python-xmltodict.noarch: W: spelling-error %description -l en_US u'elements -> elements, entitlements
python-xmltodict.noarch: W: spelling-error %description -l en_US u'more -> Rushmore
python-xmltodict.noarch: W: spelling-error %description -l en_US u'complex -> complex
python-xmltodict.noarch: W: spelling-error %description -l en_US u'element -> element
python-xmltodict.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/xmltodict.py 0644L /usr/bin/env
python3-xmltodict.noarch: W: spelling-error %description -l en_US mydocument -> my document, my-document, documented
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'an -> Xi'an
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'elements -> elements, entitlements
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'more -> Rushmore
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'complex -> complex
python3-xmltodict.noarch: W: spelling-error %description -l en_US u'element -> element
python3-xmltodict.noarch: E: non-executable-script /usr/lib/python3.3/site-packages/xmltodict.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 2 errors, 12 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-xmltodict (rpmlib, GLIBC filtered):
    python(abi)

python3-xmltodict (rpmlib, GLIBC filtered):
    python(abi)
    python3



Provides
--------
python-xmltodict:
    python-xmltodict

python3-xmltodict:
    python3-xmltodict



MD5-sum check
-------------
http://pypi.python.org/packages/source/x/xmltodict/xmltodict-0.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : d2f7f854558152532598455e40fde0a07b7a1e0ebf80f74aebdd5a8b3ece32c7
  CHECKSUM(SHA256) upstream package : d2f7f854558152532598455e40fde0a07b7a1e0ebf80f74aebdd5a8b3ece32c7


Generated by fedora-review 0.3.1 (f3c1ca4) last change: 2013-01-03
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 891992

Comment 6 Ralph Bean 2013-01-05 00:56:06 UTC
New Package SCM Request
=======================
Package Name: python-xmltodict
Short Description: Makes working with XML feel like you are working with JSON
Owners: ralph
Branches: f18 f17 el6
InitialCC:

Comment 7 Gwyn Ciesla 2013-01-07 13:29:45 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-01-07 15:51:32 UTC
python-xmltodict-0.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-xmltodict-0.4.2-1.fc18

Comment 9 Fedora Update System 2013-01-07 15:51:48 UTC
python-xmltodict-0.4.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-xmltodict-0.4.2-1.fc17

Comment 10 Fedora Update System 2013-01-07 15:52:08 UTC
python-xmltodict-0.4.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-xmltodict-0.4.2-2.el6

Comment 11 Fedora Update System 2013-02-20 17:33:17 UTC
python-xmltodict-0.4.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2013-02-21 05:30:27 UTC
python-xmltodict-0.4.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-02-21 05:51:19 UTC
python-xmltodict-0.4.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fabian Affolter 2014-10-02 19:19:48 UTC
Package Change Request
======================
Package Name: python-xmltodict
New Branches: epel7
Owners: fab ralph
InitialCC:

Comment 15 Gwyn Ciesla 2014-10-02 19:35:27 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.